Could not load file or assembly 'System, Version=4.0.0.0

Add-in Express™ Support Service
That's what is more important than anything else

Could not load file or assembly 'System, Version=4.0.0.0
Error in AddinModule.resx 
Mike VE




Posts: 154
Joined: 2007-09-09
Hi
I have a couple of addin's that are distributed with .NET 3.5. However, in order to be able to debug I do development work in .NET 4.51.

On one the machine I use to test deployment I keep getting the error "Could not load file or assembly 'System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies. The system cannot find the file specified."

I have scrutinised the project and the setup project and the references are to 3.5 (2.0.0.0) throughout. The only place where there is Version = 4.0.0.0 is in the AddinModule.resx file. Could this be left over from me switching from dev configuration (.NET 4.51) to deployment (.NET 3.5)?


How can I solve it?
Posted 09 Apr, 2019 09:45:15 Top
Andrei Smolin


Add-in Express team


Posts: 17239
Joined: 2006-05-11
Hello Mike,

I don't think so. Check all suggestions at https://stackoverflow.com/questions/17648647/could-not-load-file-or-assembly-system-version-4-0-0-0-culture-neutral-publi.

Regards from Belarus (GMT+3),

Andrei Smolin
Add-in Express Team Leader
Posted 10 Apr, 2019 04:51:55 Top